4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ChooseElement

Implementation of the XSLT Spec choose instruction WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: ChooseElement, OtherwiseElement, WhenElement |  |  |  | Fields: XSL_NAMESPACE

## Classes

class ChooseElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)
setup(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Seq instance>
doesSetup = 1
legalAttrs = {}

### Fields

class OtherwiseElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = {}

### Fields

class WhenElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = {'test': <Ft.Xml.Xslt.AttributeInfo.BooleanExpression instance>}

### Fields

XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'